注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

融智技术学院

融智技术学院163分站,为广大好友提供更多的帮助

 
 
 

日志

 
 

【iPhone每日一问】升级到iOS4.1的SDK后,出现了奇怪的问题,我该怎么办?  

2014-04-09 13:24:47|  分类: iPhone |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

问:

我已经更新了iosSDK到最新发布的4.1并且当我创建应用程序时发现了以下的错误:

  • /DeveloperBeta/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator4.1.sdk/System/Library/Frameworks/CoreGraphics.framework/Headers/CGPDFContext.h:60:23    
  • /DeveloperBeta/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator4.1.sdk/System/Library/Frameworks/CoreGraphics.framework/Headers/CGPDFContext.h:60:23: error: expected function body after function declarator

以下这一行是我在.h文件中看到的:

  • CG_EXTERN void CGPDFContextAddDocumentMetadata(CGContextRef context, CFDataRef metadata) CG_AVAILABLE_STARTING(__MAC_10_7, __IPHONE_4_0);

最有意思的事情是定义的__MAC_10_7似乎没有在任何地方定义。当我预编译应用程序中.pch文件时,我得到了这个错误。

更奇怪的是一个简单的hello world的编辑。

我可以做些什么?

谢谢

Stelian

答:

这个是iOS 4.1 SDK已知的bug,并且为iPhone模拟器创建需要使用LLVM(构架编译器的框架系统)您可以在苹果的开发者论坛的此链接(https://daw.apple.com/cgi-bin/WebObjects/DSAuthWeb.woa/wa/login?appIdKey=4a75046cda87eab6386a9eae8caabb9824e328b9abc988119b39296495ec184c&path=/login.jspa#287160)中阅读有关它的一切。

推荐的解决方案是将下面的添加到 Other C Flags在项目的build settings:-D__IPHONE_OS_VERSION_MIN_REQUIRED=040100,在这里将你的部署目标版本替换040100(对于3.0030000为例)。

温馨提示:您的支持与理解,是我们工作最大的动力。如果您是从网上购买的图书,请在对应的网店,给予本书一个好评,我们将衷心感谢!!!
以下是《iOS 7开发快速入门对应的购书评论地址:
当当网http://product.dangdang.com/23409092.html
亚马逊http://www.amazon.cn/dp/B00HTVIWVW
京东网http://item.jd.com/11391620.html

  评论这张
 
阅读(7)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017